Bug 251189 - Kernel build leaves kabideps files in %{_tmppath}
Summary: Kernel build leaves kabideps files in %{_tmppath}
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Jarod Wilson
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 425461
TreeView+ depends on / blocked
 
Reported: 2007-08-07 17:26 UTC by Jos Vos
Modified: 2008-05-21 14:49 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:49:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0314 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5.2 2008-05-20 18:43:34 UTC

Description Jos Vos 2007-08-07 17:26:22 UTC
Description of problem:
After a kernel, several kernel-*-kabideps files remain in %{_tmppath}.

Version-Release number of selected component (if applicable):
2.6.18-8.1.8.el5

Solution:
Use a directory for the files and remove this in %clean.
Affected spec file lines (the "mkdir" line is new):

%define __find_provides %_sourcedir/find-provides %{_tmppath}/kabideps

[...]

    mkdir -p %{_tmppath}/kabideps
    rm -f %{_tmppath}/kabideps/kernel-$KernelVer-kabideps
    %_sourcedir/kabitool -b . -d %{_tmppath}/kabideps/kernel-$KernelVer-kabideps
-k $KernelVer -w $RPM_BUILD_ROOT/kabi_whitelist

[...]

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{_tmppath}/kabideps

Comment 1 Jarod Wilson 2007-09-02 03:58:06 UTC
I'll take care of this one along with some other spec changes queued up for 5.2.

Comment 2 RHEL Product and Program Management 2007-11-01 23:25:25 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Jarod Wilson 2007-12-06 18:05:16 UTC
This change was pulled in along with numerous other spec fixes and enhancements,
and is in kernel 2.6.18-58.el5 and later.

Comment 7 errata-xmlrpc 2008-05-21 14:49:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html



Note You need to log in before you can comment on or make changes to this bug.